<?php

namespace Lc\ShopBundle\Model;

use App\Entity\UserMerchant;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
abstract class CreditHistory extends AbstractEntity
{
        /**
         * @ORM\Column(type="float")
         */
        protected $amount;

        /**
         * @ORM\Column(type="string", length=31)
         */
        protected $meanPayment;

        /**
         * @ORM\Column(type="text", nullable=true)
         */
        protected $comment;

        /**
         * @ORM\ManyToOne(targetEntity="Lc\ShopBundle\Context\UserLerchantInterface", inversedBy="creditHistories")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $userMerchant;

        public function getAmount(): ?float
        {
                return $this->amount;
        }

        public function setAmount(float $amount): self
        {
                $this->amount = $amount;

                return $this;
        }

        public function getMeanPayment(): ?string
        {
                return $this->meanPayment;
        }

        public function setMeanPayment(string $meanPayment): self
        {
                $this->meanPayment = $meanPayment;

                return $this;
        }

        public function getComment(): ?string
        {
                return $this->comment;
        }

        public function setComment(string $comment): self
        {
                $this->comment = $comment;

                return $this;
        }

        public function getUserMerchant(): ?UserMerchant
        {
                return $this->userMerchant;
        }

        public function setUserMerchant(?UserMerchant $userMerchant): self
        {
                $this->userMerchant = $userMerchant;

                return $this;
        }
}
